|  | Home · All Classes · Modules

# QDomAttr Class Reference
[QtXml module]

The QDomAttr class represents one attribute of a QDomElement. More...

Inherits QDomNode.

### Methods

- __init__ (self)
- __init__ (self, QDomAttr x)
- QString name (self)
- QDomNode.NodeType nodeType (self)
- QDomElement ownerElement (self)
- setValue (self, QString)
- bool specified (self)
- QString value (self)

## Detailed Description

The QDomAttr class represents one attribute of a QDomElement.

For example, the following piece of XML produces an element with no children, but two attributes:

     <link href="http://qt.nokia.com" color="red" />

You can access the attributes of an element with code like this:

     QDomElement e = //...
     //...
     QDomAttr a = e.attributeNode("href");
     cout << a.value() << endl;                // prints "http://qt.nokia.com"
     a.setValue("http://qt.nokia.com/doc"); // change the node's attribute
     QDomAttr a2 = e.attributeNode("href");
     cout << a2.value() << endl;               // prints "http://qt.nokia.com/doc"

This example also shows that changing an attribute received from an element changes the attribute of the element. If you do not want to change the value of the element's attribute you must use cloneNode() to get an independent copy of the attribute.

QDomAttr can return the name() and value() of an attribute. An attribute's value is set with setValue(). If specified() returns true the value was set with setValue(). The node this attribute is attached to (if any) is returned by ownerElement().

For further information about the Document Object Model see http://www.w3.org/TR/REC-DOM-Level-1/ and http://www.w3.org/TR/DOM-Level-2-Core/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Method Documentation

### QDomAttr.__init__ (self)

Constructs an empty attribute.

### QDomAttr.__init__ (self, QDomAttr x)

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QString QDomAttr.name (self)

Returns the attribute's name.

### QDomNode.NodeType QDomAttr.nodeType (self)

Returns AttributeNode.

### QDomElement QDomAttr.ownerElement (self)

Returns the element node this attribute is attached to or a null node if this attribute is not attached to any element.

### QDomAttr.setValue (self, QString)

Sets the attribute's value to v.

See also value().

### bool QDomAttr.specified (self)

Returns true if the attribute has been set by the user with setValue(). Returns false if the value hasn't been specified or set.

See also setValue().

### QString QDomAttr.value (self)

Returns the value of the attribute or an empty string if the attribute has not been specified.

See also specified() and setValue().